import { WsApiRequest, WsApiResponse, WsApiAction } from './common';
import { OmitNever } from '../../types/OmitNever';
export type WsApiRequestHandler<Action extends WsApiAction, Request extends WsApiRequest, Response extends WsApiResponse> = (request: Request & {
    action: Action;
}, responseActions: OmitNever<{
    sendResponse: [Response] extends [never] ? never : (response: Response) => void;
    closeConnection: () => void;
}>) => Promise<void>;
